/*
 * grifo_tftp_services.h
 *
 */

#ifndef GRIFO_TFTP_SERVICES_H_
#define GRIFO_TFTP_SERVICES_H_


class GrifoTftpService
{
public:
	static GrifoTftpService& instance();


	static void setPort(int port);

	void start(const char* site_name=0);

	static void sendWakeupOnStart(unsigned int delay_ms=0);

	//void setSiteName(const char* site_name);

private:
	GrifoTftpService();

	GrifoTftpService(const GrifoTftpService&);
	void operator=(const GrifoTftpService&);
};


#endif /* GRIFO_TFTP_SERVICES_H_ */
